package com.inspect.ivs.view;

import com.fasterxml.jackson.annotation.JsonProperty;
import java.io.Serializable;

public class IvsPlaybackStartView implements Serializable {
   @JsonProperty("StreamID")
   private String StreamID;
   @JsonProperty("SMSID")
   private String SMSID;
   @JsonProperty("DeviceID")
   private String DeviceID;
   @JsonProperty("ChannelID")
   private String ChannelID;
   @JsonProperty("ChannelName")
   private String ChannelName;
   @JsonProperty("ChannelCustomName")
   private String ChannelCustomName;
   @JsonProperty("WEBRTC")
   private String WEBRTC;
   @JsonProperty("FLV")
   private String FLV;
   @JsonProperty("WS_FLV")
   private String WS_FLV;
   @JsonProperty("RTMP")
   private String RTMP;
   @JsonProperty("HLS")
   private String HLS;
   @JsonProperty("RTSP")
   private String RTSP;
   @JsonProperty("CDN")
   private String CDN;
   @JsonProperty("SnapURL")
   private String SnapURL;
   @JsonProperty("Transport")
   private String Transport;
   @JsonProperty("StartAt")
   private String StartAt;
   @JsonProperty("RecordStartAt")
   private String RecordStartAt;
   @JsonProperty("Duration")
   private String Duration;
   @JsonProperty("SourceVideoCodecName")
   private String SourceVideoCodecName;
   @JsonProperty("SourceVideoWidth")
   private String SourceVideoWidth;
   @JsonProperty("SourceVideoHeight")
   private String SourceVideoHeight;
   @JsonProperty("SourceVideoFrameRate")
   private String SourceVideoFrameRate;
   @JsonProperty("SourceAudioCodecName")
   private String SourceAudioCodecName;
   @JsonProperty("SourceAudioSampleRate")
   private String SourceAudioSampleRate;
   @JsonProperty("RTPCount")
   private String RTPCount;
   @JsonProperty("RTPLostCount")
   private String RTPLostCount;
   @JsonProperty("RTPLostRate")
   private String RTPLostRate;
   @JsonProperty("VideoFrameCount")
   private String VideoFrameCount;
   @JsonProperty("AudioEnable")
   private String AudioEnable;
   @JsonProperty("Ondemand")
   private String Ondemand;
   @JsonProperty("InBytes")
   private String InBytes;
   @JsonProperty("InBitRate")
   private String InBitRate;
   @JsonProperty("OutBytes")
   private String OutBytes;
   @JsonProperty("NumOutputs")
   private String NumOutputs;
   @JsonProperty("CascadeSize")
   private String CascadeSize;
   @JsonProperty("CloudRecord")
   private String CloudRecord;
   @JsonProperty("RelaySize")
   private String RelaySize;
   @JsonProperty("ChannelPTZType")
   private String ChannelPTZType;

   public IvsPlaybackStartView(String StreamID, IvsVideoRtspView ivsVideoRtspView) {
      this.StreamID = StreamID;
      this.FLV = ivsVideoRtspView.getUrl();
      this.WEBRTC = ivsVideoRtspView.getWebrtcURL();
   }

   public String getStreamID() {
      return this.StreamID;
   }

   public String getSMSID() {
      return this.SMSID;
   }

   public String getDeviceID() {
      return this.DeviceID;
   }

   public String getChannelID() {
      return this.ChannelID;
   }

   public String getChannelName() {
      return this.ChannelName;
   }

   public String getChannelCustomName() {
      return this.ChannelCustomName;
   }

   public String getWEBRTC() {
      return this.WEBRTC;
   }

   public String getFLV() {
      return this.FLV;
   }

   public String getWS_FLV() {
      return this.WS_FLV;
   }

   public String getRTMP() {
      return this.RTMP;
   }

   public String getHLS() {
      return this.HLS;
   }

   public String getRTSP() {
      return this.RTSP;
   }

   public String getCDN() {
      return this.CDN;
   }

   public String getSnapURL() {
      return this.SnapURL;
   }

   public String getTransport() {
      return this.Transport;
   }

   public String getStartAt() {
      return this.StartAt;
   }

   public String getRecordStartAt() {
      return this.RecordStartAt;
   }

   public String getDuration() {
      return this.Duration;
   }

   public String getSourceVideoCodecName() {
      return this.SourceVideoCodecName;
   }

   public String getSourceVideoWidth() {
      return this.SourceVideoWidth;
   }

   public String getSourceVideoHeight() {
      return this.SourceVideoHeight;
   }

   public String getSourceVideoFrameRate() {
      return this.SourceVideoFrameRate;
   }

   public String getSourceAudioCodecName() {
      return this.SourceAudioCodecName;
   }

   public String getSourceAudioSampleRate() {
      return this.SourceAudioSampleRate;
   }

   public String getRTPCount() {
      return this.RTPCount;
   }

   public String getRTPLostCount() {
      return this.RTPLostCount;
   }

   public String getRTPLostRate() {
      return this.RTPLostRate;
   }

   public String getVideoFrameCount() {
      return this.VideoFrameCount;
   }

   public String getAudioEnable() {
      return this.AudioEnable;
   }

   public String getOndemand() {
      return this.Ondemand;
   }

   public String getInBytes() {
      return this.InBytes;
   }

   public String getInBitRate() {
      return this.InBitRate;
   }

   public String getOutBytes() {
      return this.OutBytes;
   }

   public String getNumOutputs() {
      return this.NumOutputs;
   }

   public String getCascadeSize() {
      return this.CascadeSize;
   }

   public String getCloudRecord() {
      return this.CloudRecord;
   }

   public String getRelaySize() {
      return this.RelaySize;
   }

   public String getChannelPTZType() {
      return this.ChannelPTZType;
   }

   @JsonProperty("StreamID")
   public void setStreamID(String StreamID) {
      this.StreamID = StreamID;
   }

   @JsonProperty("SMSID")
   public void setSMSID(String SMSID) {
      this.SMSID = SMSID;
   }

   @JsonProperty("DeviceID")
   public void setDeviceID(String DeviceID) {
      this.DeviceID = DeviceID;
   }

   @JsonProperty("ChannelID")
   public void setChannelID(String ChannelID) {
      this.ChannelID = ChannelID;
   }

   @JsonProperty("ChannelName")
   public void setChannelName(String ChannelName) {
      this.ChannelName = ChannelName;
   }

   @JsonProperty("ChannelCustomName")
   public void setChannelCustomName(String ChannelCustomName) {
      this.ChannelCustomName = ChannelCustomName;
   }

   @JsonProperty("WEBRTC")
   public void setWEBRTC(String WEBRTC) {
      this.WEBRTC = WEBRTC;
   }

   @JsonProperty("FLV")
   public void setFLV(String FLV) {
      this.FLV = FLV;
   }

   @JsonProperty("WS_FLV")
   public void setWS_FLV(String WS_FLV) {
      this.WS_FLV = WS_FLV;
   }

   @JsonProperty("RTMP")
   public void setRTMP(String RTMP) {
      this.RTMP = RTMP;
   }

   @JsonProperty("HLS")
   public void setHLS(String HLS) {
      this.HLS = HLS;
   }

   @JsonProperty("RTSP")
   public void setRTSP(String RTSP) {
      this.RTSP = RTSP;
   }

   @JsonProperty("CDN")
   public void setCDN(String CDN) {
      this.CDN = CDN;
   }

   @JsonProperty("SnapURL")
   public void setSnapURL(String SnapURL) {
      this.SnapURL = SnapURL;
   }

   @JsonProperty("Transport")
   public void setTransport(String Transport) {
      this.Transport = Transport;
   }

   @JsonProperty("StartAt")
   public void setStartAt(String StartAt) {
      this.StartAt = StartAt;
   }

   @JsonProperty("RecordStartAt")
   public void setRecordStartAt(String RecordStartAt) {
      this.RecordStartAt = RecordStartAt;
   }

   @JsonProperty("Duration")
   public void setDuration(String Duration) {
      this.Duration = Duration;
   }

   @JsonProperty("SourceVideoCodecName")
   public void setSourceVideoCodecName(String SourceVideoCodecName) {
      this.SourceVideoCodecName = SourceVideoCodecName;
   }

   @JsonProperty("SourceVideoWidth")
   public void setSourceVideoWidth(String SourceVideoWidth) {
      this.SourceVideoWidth = SourceVideoWidth;
   }

   @JsonProperty("SourceVideoHeight")
   public void setSourceVideoHeight(String SourceVideoHeight) {
      this.SourceVideoHeight = SourceVideoHeight;
   }

   @JsonProperty("SourceVideoFrameRate")
   public void setSourceVideoFrameRate(String SourceVideoFrameRate) {
      this.SourceVideoFrameRate = SourceVideoFrameRate;
   }

   @JsonProperty("SourceAudioCodecName")
   public void setSourceAudioCodecName(String SourceAudioCodecName) {
      this.SourceAudioCodecName = SourceAudioCodecName;
   }

   @JsonProperty("SourceAudioSampleRate")
   public void setSourceAudioSampleRate(String SourceAudioSampleRate) {
      this.SourceAudioSampleRate = SourceAudioSampleRate;
   }

   @JsonProperty("RTPCount")
   public void setRTPCount(String RTPCount) {
      this.RTPCount = RTPCount;
   }

   @JsonProperty("RTPLostCount")
   public void setRTPLostCount(String RTPLostCount) {
      this.RTPLostCount = RTPLostCount;
   }

   @JsonProperty("RTPLostRate")
   public void setRTPLostRate(String RTPLostRate) {
      this.RTPLostRate = RTPLostRate;
   }

   @JsonProperty("VideoFrameCount")
   public void setVideoFrameCount(String VideoFrameCount) {
      this.VideoFrameCount = VideoFrameCount;
   }

   @JsonProperty("AudioEnable")
   public void setAudioEnable(String AudioEnable) {
      this.AudioEnable = AudioEnable;
   }

   @JsonProperty("Ondemand")
   public void setOndemand(String Ondemand) {
      this.Ondemand = Ondemand;
   }

   @JsonProperty("InBytes")
   public void setInBytes(String InBytes) {
      this.InBytes = InBytes;
   }

   @JsonProperty("InBitRate")
   public void setInBitRate(String InBitRate) {
      this.InBitRate = InBitRate;
   }

   @JsonProperty("OutBytes")
   public void setOutBytes(String OutBytes) {
      this.OutBytes = OutBytes;
   }

   @JsonProperty("NumOutputs")
   public void setNumOutputs(String NumOutputs) {
      this.NumOutputs = NumOutputs;
   }

   @JsonProperty("CascadeSize")
   public void setCascadeSize(String CascadeSize) {
      this.CascadeSize = CascadeSize;
   }

   @JsonProperty("CloudRecord")
   public void setCloudRecord(String CloudRecord) {
      this.CloudRecord = CloudRecord;
   }

   @JsonProperty("RelaySize")
   public void setRelaySize(String RelaySize) {
      this.RelaySize = RelaySize;
   }

   @JsonProperty("ChannelPTZType")
   public void setChannelPTZType(String ChannelPTZType) {
      this.ChannelPTZType = ChannelPTZType;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof IvsPlaybackStartView)) {
         return false;
      } else {
         IvsPlaybackStartView other = (IvsPlaybackStartView)o;
         if(!other.canEqual(this)) {
            return false;
         } else {
            Object this$StreamID = this.getStreamID();
            Object other$StreamID = other.getStreamID();
            if(this$StreamID == null) {
               if(other$StreamID != null) {
                  return false;
               }
            } else if(!this$StreamID.equals(other$StreamID)) {
               return false;
            }

            Object this$SMSID = this.getSMSID();
            Object other$SMSID = other.getSMSID();
            if(this$SMSID == null) {
               if(other$SMSID != null) {
                  return false;
               }
            } else if(!this$SMSID.equals(other$SMSID)) {
               return false;
            }

            Object this$DeviceID = this.getDeviceID();
            Object other$DeviceID = other.getDeviceID();
            if(this$DeviceID == null) {
               if(other$DeviceID != null) {
                  return false;
               }
            } else if(!this$DeviceID.equals(other$DeviceID)) {
               return false;
            }

            label446: {
               Object this$ChannelID = this.getChannelID();
               Object other$ChannelID = other.getChannelID();
               if(this$ChannelID == null) {
                  if(other$ChannelID == null) {
                     break label446;
                  }
               } else if(this$ChannelID.equals(other$ChannelID)) {
                  break label446;
               }

               return false;
            }

            label439: {
               Object this$ChannelName = this.getChannelName();
               Object other$ChannelName = other.getChannelName();
               if(this$ChannelName == null) {
                  if(other$ChannelName == null) {
                     break label439;
                  }
               } else if(this$ChannelName.equals(other$ChannelName)) {
                  break label439;
               }

               return false;
            }

            Object this$ChannelCustomName = this.getChannelCustomName();
            Object other$ChannelCustomName = other.getChannelCustomName();
            if(this$ChannelCustomName == null) {
               if(other$ChannelCustomName != null) {
                  return false;
               }
            } else if(!this$ChannelCustomName.equals(other$ChannelCustomName)) {
               return false;
            }

            label425: {
               Object this$WEBRTC = this.getWEBRTC();
               Object other$WEBRTC = other.getWEBRTC();
               if(this$WEBRTC == null) {
                  if(other$WEBRTC == null) {
                     break label425;
                  }
               } else if(this$WEBRTC.equals(other$WEBRTC)) {
                  break label425;
               }

               return false;
            }

            label418: {
               Object this$FLV = this.getFLV();
               Object other$FLV = other.getFLV();
               if(this$FLV == null) {
                  if(other$FLV == null) {
                     break label418;
                  }
               } else if(this$FLV.equals(other$FLV)) {
                  break label418;
               }

               return false;
            }

            Object this$WS_FLV = this.getWS_FLV();
            Object other$WS_FLV = other.getWS_FLV();
            if(this$WS_FLV == null) {
               if(other$WS_FLV != null) {
                  return false;
               }
            } else if(!this$WS_FLV.equals(other$WS_FLV)) {
               return false;
            }

            Object this$RTMP = this.getRTMP();
            Object other$RTMP = other.getRTMP();
            if(this$RTMP == null) {
               if(other$RTMP != null) {
                  return false;
               }
            } else if(!this$RTMP.equals(other$RTMP)) {
               return false;
            }

            label397: {
               Object this$HLS = this.getHLS();
               Object other$HLS = other.getHLS();
               if(this$HLS == null) {
                  if(other$HLS == null) {
                     break label397;
                  }
               } else if(this$HLS.equals(other$HLS)) {
                  break label397;
               }

               return false;
            }

            label390: {
               Object this$RTSP = this.getRTSP();
               Object other$RTSP = other.getRTSP();
               if(this$RTSP == null) {
                  if(other$RTSP == null) {
                     break label390;
                  }
               } else if(this$RTSP.equals(other$RTSP)) {
                  break label390;
               }

               return false;
            }

            Object this$CDN = this.getCDN();
            Object other$CDN = other.getCDN();
            if(this$CDN == null) {
               if(other$CDN != null) {
                  return false;
               }
            } else if(!this$CDN.equals(other$CDN)) {
               return false;
            }

            label376: {
               Object this$SnapURL = this.getSnapURL();
               Object other$SnapURL = other.getSnapURL();
               if(this$SnapURL == null) {
                  if(other$SnapURL == null) {
                     break label376;
                  }
               } else if(this$SnapURL.equals(other$SnapURL)) {
                  break label376;
               }

               return false;
            }

            Object this$Transport = this.getTransport();
            Object other$Transport = other.getTransport();
            if(this$Transport == null) {
               if(other$Transport != null) {
                  return false;
               }
            } else if(!this$Transport.equals(other$Transport)) {
               return false;
            }

            label362: {
               Object this$StartAt = this.getStartAt();
               Object other$StartAt = other.getStartAt();
               if(this$StartAt == null) {
                  if(other$StartAt == null) {
                     break label362;
                  }
               } else if(this$StartAt.equals(other$StartAt)) {
                  break label362;
               }

               return false;
            }

            Object this$RecordStartAt = this.getRecordStartAt();
            Object other$RecordStartAt = other.getRecordStartAt();
            if(this$RecordStartAt == null) {
               if(other$RecordStartAt != null) {
                  return false;
               }
            } else if(!this$RecordStartAt.equals(other$RecordStartAt)) {
               return false;
            }

            Object this$Duration = this.getDuration();
            Object other$Duration = other.getDuration();
            if(this$Duration == null) {
               if(other$Duration != null) {
                  return false;
               }
            } else if(!this$Duration.equals(other$Duration)) {
               return false;
            }

            Object this$SourceVideoCodecName = this.getSourceVideoCodecName();
            Object other$SourceVideoCodecName = other.getSourceVideoCodecName();
            if(this$SourceVideoCodecName == null) {
               if(other$SourceVideoCodecName != null) {
                  return false;
               }
            } else if(!this$SourceVideoCodecName.equals(other$SourceVideoCodecName)) {
               return false;
            }

            label334: {
               Object this$SourceVideoWidth = this.getSourceVideoWidth();
               Object other$SourceVideoWidth = other.getSourceVideoWidth();
               if(this$SourceVideoWidth == null) {
                  if(other$SourceVideoWidth == null) {
                     break label334;
                  }
               } else if(this$SourceVideoWidth.equals(other$SourceVideoWidth)) {
                  break label334;
               }

               return false;
            }

            label327: {
               Object this$SourceVideoHeight = this.getSourceVideoHeight();
               Object other$SourceVideoHeight = other.getSourceVideoHeight();
               if(this$SourceVideoHeight == null) {
                  if(other$SourceVideoHeight == null) {
                     break label327;
                  }
               } else if(this$SourceVideoHeight.equals(other$SourceVideoHeight)) {
                  break label327;
               }

               return false;
            }

            Object this$SourceVideoFrameRate = this.getSourceVideoFrameRate();
            Object other$SourceVideoFrameRate = other.getSourceVideoFrameRate();
            if(this$SourceVideoFrameRate == null) {
               if(other$SourceVideoFrameRate != null) {
                  return false;
               }
            } else if(!this$SourceVideoFrameRate.equals(other$SourceVideoFrameRate)) {
               return false;
            }

            label313: {
               Object this$SourceAudioCodecName = this.getSourceAudioCodecName();
               Object other$SourceAudioCodecName = other.getSourceAudioCodecName();
               if(this$SourceAudioCodecName == null) {
                  if(other$SourceAudioCodecName == null) {
                     break label313;
                  }
               } else if(this$SourceAudioCodecName.equals(other$SourceAudioCodecName)) {
                  break label313;
               }

               return false;
            }

            label306: {
               Object this$SourceAudioSampleRate = this.getSourceAudioSampleRate();
               Object other$SourceAudioSampleRate = other.getSourceAudioSampleRate();
               if(this$SourceAudioSampleRate == null) {
                  if(other$SourceAudioSampleRate == null) {
                     break label306;
                  }
               } else if(this$SourceAudioSampleRate.equals(other$SourceAudioSampleRate)) {
                  break label306;
               }

               return false;
            }

            Object this$RTPCount = this.getRTPCount();
            Object other$RTPCount = other.getRTPCount();
            if(this$RTPCount == null) {
               if(other$RTPCount != null) {
                  return false;
               }
            } else if(!this$RTPCount.equals(other$RTPCount)) {
               return false;
            }

            Object this$RTPLostCount = this.getRTPLostCount();
            Object other$RTPLostCount = other.getRTPLostCount();
            if(this$RTPLostCount == null) {
               if(other$RTPLostCount != null) {
                  return false;
               }
            } else if(!this$RTPLostCount.equals(other$RTPLostCount)) {
               return false;
            }

            label285: {
               Object this$RTPLostRate = this.getRTPLostRate();
               Object other$RTPLostRate = other.getRTPLostRate();
               if(this$RTPLostRate == null) {
                  if(other$RTPLostRate == null) {
                     break label285;
                  }
               } else if(this$RTPLostRate.equals(other$RTPLostRate)) {
                  break label285;
               }

               return false;
            }

            label278: {
               Object this$VideoFrameCount = this.getVideoFrameCount();
               Object other$VideoFrameCount = other.getVideoFrameCount();
               if(this$VideoFrameCount == null) {
                  if(other$VideoFrameCount == null) {
                     break label278;
                  }
               } else if(this$VideoFrameCount.equals(other$VideoFrameCount)) {
                  break label278;
               }

               return false;
            }

            Object this$AudioEnable = this.getAudioEnable();
            Object other$AudioEnable = other.getAudioEnable();
            if(this$AudioEnable == null) {
               if(other$AudioEnable != null) {
                  return false;
               }
            } else if(!this$AudioEnable.equals(other$AudioEnable)) {
               return false;
            }

            label264: {
               Object this$Ondemand = this.getOndemand();
               Object other$Ondemand = other.getOndemand();
               if(this$Ondemand == null) {
                  if(other$Ondemand == null) {
                     break label264;
                  }
               } else if(this$Ondemand.equals(other$Ondemand)) {
                  break label264;
               }

               return false;
            }

            Object this$InBytes = this.getInBytes();
            Object other$InBytes = other.getInBytes();
            if(this$InBytes == null) {
               if(other$InBytes != null) {
                  return false;
               }
            } else if(!this$InBytes.equals(other$InBytes)) {
               return false;
            }

            label250: {
               Object this$InBitRate = this.getInBitRate();
               Object other$InBitRate = other.getInBitRate();
               if(this$InBitRate == null) {
                  if(other$InBitRate == null) {
                     break label250;
                  }
               } else if(this$InBitRate.equals(other$InBitRate)) {
                  break label250;
               }

               return false;
            }

            Object this$OutBytes = this.getOutBytes();
            Object other$OutBytes = other.getOutBytes();
            if(this$OutBytes == null) {
               if(other$OutBytes != null) {
                  return false;
               }
            } else if(!this$OutBytes.equals(other$OutBytes)) {
               return false;
            }

            Object this$NumOutputs = this.getNumOutputs();
            Object other$NumOutputs = other.getNumOutputs();
            if(this$NumOutputs == null) {
               if(other$NumOutputs != null) {
                  return false;
               }
            } else if(!this$NumOutputs.equals(other$NumOutputs)) {
               return false;
            }

            Object this$CascadeSize = this.getCascadeSize();
            Object other$CascadeSize = other.getCascadeSize();
            if(this$CascadeSize == null) {
               if(other$CascadeSize != null) {
                  return false;
               }
            } else if(!this$CascadeSize.equals(other$CascadeSize)) {
               return false;
            }

            label222: {
               Object this$CloudRecord = this.getCloudRecord();
               Object other$CloudRecord = other.getCloudRecord();
               if(this$CloudRecord == null) {
                  if(other$CloudRecord == null) {
                     break label222;
                  }
               } else if(this$CloudRecord.equals(other$CloudRecord)) {
                  break label222;
               }

               return false;
            }

            label215: {
               Object this$RelaySize = this.getRelaySize();
               Object other$RelaySize = other.getRelaySize();
               if(this$RelaySize == null) {
                  if(other$RelaySize == null) {
                     break label215;
                  }
               } else if(this$RelaySize.equals(other$RelaySize)) {
                  break label215;
               }

               return false;
            }

            Object this$ChannelPTZType = this.getChannelPTZType();
            Object other$ChannelPTZType = other.getChannelPTZType();
            if(this$ChannelPTZType == null) {
               if(other$ChannelPTZType != null) {
                  return false;
               }
            } else if(!this$ChannelPTZType.equals(other$ChannelPTZType)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof IvsPlaybackStartView;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      Object $StreamID = this.getStreamID();
      result = result * 59 + ($StreamID == null?43:$StreamID.hashCode());
      Object $SMSID = this.getSMSID();
      result = result * 59 + ($SMSID == null?43:$SMSID.hashCode());
      Object $DeviceID = this.getDeviceID();
      result = result * 59 + ($DeviceID == null?43:$DeviceID.hashCode());
      Object $ChannelID = this.getChannelID();
      result = result * 59 + ($ChannelID == null?43:$ChannelID.hashCode());
      Object $ChannelName = this.getChannelName();
      result = result * 59 + ($ChannelName == null?43:$ChannelName.hashCode());
      Object $ChannelCustomName = this.getChannelCustomName();
      result = result * 59 + ($ChannelCustomName == null?43:$ChannelCustomName.hashCode());
      Object $WEBRTC = this.getWEBRTC();
      result = result * 59 + ($WEBRTC == null?43:$WEBRTC.hashCode());
      Object $FLV = this.getFLV();
      result = result * 59 + ($FLV == null?43:$FLV.hashCode());
      Object $WS_FLV = this.getWS_FLV();
      result = result * 59 + ($WS_FLV == null?43:$WS_FLV.hashCode());
      Object $RTMP = this.getRTMP();
      result = result * 59 + ($RTMP == null?43:$RTMP.hashCode());
      Object $HLS = this.getHLS();
      result = result * 59 + ($HLS == null?43:$HLS.hashCode());
      Object $RTSP = this.getRTSP();
      result = result * 59 + ($RTSP == null?43:$RTSP.hashCode());
      Object $CDN = this.getCDN();
      result = result * 59 + ($CDN == null?43:$CDN.hashCode());
      Object $SnapURL = this.getSnapURL();
      result = result * 59 + ($SnapURL == null?43:$SnapURL.hashCode());
      Object $Transport = this.getTransport();
      result = result * 59 + ($Transport == null?43:$Transport.hashCode());
      Object $StartAt = this.getStartAt();
      result = result * 59 + ($StartAt == null?43:$StartAt.hashCode());
      Object $RecordStartAt = this.getRecordStartAt();
      result = result * 59 + ($RecordStartAt == null?43:$RecordStartAt.hashCode());
      Object $Duration = this.getDuration();
      result = result * 59 + ($Duration == null?43:$Duration.hashCode());
      Object $SourceVideoCodecName = this.getSourceVideoCodecName();
      result = result * 59 + ($SourceVideoCodecName == null?43:$SourceVideoCodecName.hashCode());
      Object $SourceVideoWidth = this.getSourceVideoWidth();
      result = result * 59 + ($SourceVideoWidth == null?43:$SourceVideoWidth.hashCode());
      Object $SourceVideoHeight = this.getSourceVideoHeight();
      result = result * 59 + ($SourceVideoHeight == null?43:$SourceVideoHeight.hashCode());
      Object $SourceVideoFrameRate = this.getSourceVideoFrameRate();
      result = result * 59 + ($SourceVideoFrameRate == null?43:$SourceVideoFrameRate.hashCode());
      Object $SourceAudioCodecName = this.getSourceAudioCodecName();
      result = result * 59 + ($SourceAudioCodecName == null?43:$SourceAudioCodecName.hashCode());
      Object $SourceAudioSampleRate = this.getSourceAudioSampleRate();
      result = result * 59 + ($SourceAudioSampleRate == null?43:$SourceAudioSampleRate.hashCode());
      Object $RTPCount = this.getRTPCount();
      result = result * 59 + ($RTPCount == null?43:$RTPCount.hashCode());
      Object $RTPLostCount = this.getRTPLostCount();
      result = result * 59 + ($RTPLostCount == null?43:$RTPLostCount.hashCode());
      Object $RTPLostRate = this.getRTPLostRate();
      result = result * 59 + ($RTPLostRate == null?43:$RTPLostRate.hashCode());
      Object $VideoFrameCount = this.getVideoFrameCount();
      result = result * 59 + ($VideoFrameCount == null?43:$VideoFrameCount.hashCode());
      Object $AudioEnable = this.getAudioEnable();
      result = result * 59 + ($AudioEnable == null?43:$AudioEnable.hashCode());
      Object $Ondemand = this.getOndemand();
      result = result * 59 + ($Ondemand == null?43:$Ondemand.hashCode());
      Object $InBytes = this.getInBytes();
      result = result * 59 + ($InBytes == null?43:$InBytes.hashCode());
      Object $InBitRate = this.getInBitRate();
      result = result * 59 + ($InBitRate == null?43:$InBitRate.hashCode());
      Object $OutBytes = this.getOutBytes();
      result = result * 59 + ($OutBytes == null?43:$OutBytes.hashCode());
      Object $NumOutputs = this.getNumOutputs();
      result = result * 59 + ($NumOutputs == null?43:$NumOutputs.hashCode());
      Object $CascadeSize = this.getCascadeSize();
      result = result * 59 + ($CascadeSize == null?43:$CascadeSize.hashCode());
      Object $CloudRecord = this.getCloudRecord();
      result = result * 59 + ($CloudRecord == null?43:$CloudRecord.hashCode());
      Object $RelaySize = this.getRelaySize();
      result = result * 59 + ($RelaySize == null?43:$RelaySize.hashCode());
      Object $ChannelPTZType = this.getChannelPTZType();
      result = result * 59 + ($ChannelPTZType == null?43:$ChannelPTZType.hashCode());
      return result;
   }

   public String toString() {
      return "SipbPlaybackStartView(StreamID=" + this.getStreamID() + ", SMSID=" + this.getSMSID() + ", DeviceID=" + this.getDeviceID() + ", ChannelID=" + this.getChannelID() + ", ChannelName=" + this.getChannelName() + ", ChannelCustomName=" + this.getChannelCustomName() + ", WEBRTC=" + this.getWEBRTC() + ", FLV=" + this.getFLV() + ", WS_FLV=" + this.getWS_FLV() + ", RTMP=" + this.getRTMP() + ", HLS=" + this.getHLS() + ", RTSP=" + this.getRTSP() + ", CDN=" + this.getCDN() + ", SnapURL=" + this.getSnapURL() + ", Transport=" + this.getTransport() + ", StartAt=" + this.getStartAt() + ", RecordStartAt=" + this.getRecordStartAt() + ", Duration=" + this.getDuration() + ", SourceVideoCodecName=" + this.getSourceVideoCodecName() + ", SourceVideoWidth=" + this.getSourceVideoWidth() + ", SourceVideoHeight=" + this.getSourceVideoHeight() + ", SourceVideoFrameRate=" + this.getSourceVideoFrameRate() + ", SourceAudioCodecName=" + this.getSourceAudioCodecName() + ", SourceAudioSampleRate=" + this.getSourceAudioSampleRate() + ", RTPCount=" + this.getRTPCount() + ", RTPLostCount=" + this.getRTPLostCount() + ", RTPLostRate=" + this.getRTPLostRate() + ", VideoFrameCount=" + this.getVideoFrameCount() + ", AudioEnable=" + this.getAudioEnable() + ", Ondemand=" + this.getOndemand() + ", InBytes=" + this.getInBytes() + ", InBitRate=" + this.getInBitRate() + ", OutBytes=" + this.getOutBytes() + ", NumOutputs=" + this.getNumOutputs() + ", CascadeSize=" + this.getCascadeSize() + ", CloudRecord=" + this.getCloudRecord() + ", RelaySize=" + this.getRelaySize() + ", ChannelPTZType=" + this.getChannelPTZType() + ")";
   }

   public IvsPlaybackStartView() {
   }
}
